#ifndef ISPINDELINTERFACE_H
#define ISPINDELINTERFACE_H

#include "NetworkDevice.h"
#include "IspindelDevice.h"

class CIspindelInterface:  public QObject, public CNetworkDevice
{
    Q_OBJECT
public:
    CIspindelInterface(int Address, CAbstractNetworkCommIF *NetworkInterface, CIspindelDevice *DevicePtr);
    virtual int NewDeviceFrameReceived(int DeviceID, int DeviceAddress, int MessageID, int DataSize, QByteArray Data);

private:
    CIspindelDevice *mISpindelDevice;

public slots:
    void SendLastIspindelData();

};

#endif // ISPINDELINTERFACE_H
